Get virtual machine guest-agent information
GET
/vm/{rid}/guest-agent
const url = 'https://sylve.lan:8181/api/vm/1/guest-agent';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/vm/1/guest-agent \ --header 'Authorization: <Authorization>'Retrieve operating-system and network information reported by the QEMU Guest Agent of a running virtual machine
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”rid
required
integer
Virtual Machine RID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
interfaces
Array<object>
object
hardware-address
string
ip-addresses
Array<object>
object
ip-address
string
ip-address-type
string
prefix
integer
name
string
statistics
object
rx-bytes
integer
rx-dropped
integer
rx-errs
integer
rx-packets
integer
tx-bytes
integer
tx-dropped
integer
tx-errs
integer
tx-packets
integer
osInfo
object
id
string
kernel-release
string
kernel-version
string
machine
string
name
string
pretty-name
string
version
string
version-id
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "interfaces": [ { "hardware-address": "example", "ip-addresses": [ { "ip-address": "example", "ip-address-type": "example", "prefix": 1 } ], "name": "example", "statistics": { "rx-bytes": 1, "rx-dropped": 1, "rx-errs": 1, "rx-packets": 1, "tx-bytes": 1, "tx-dropped": 1, "tx-errs": 1, "tx-packets": 1 } } ], "osInfo": { "id": "example", "kernel-release": "example", "kernel-version": "example", "machine": "example", "name": "example", "pretty-name": "example", "version": "example", "version-id": "example" } }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Conflict
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}